body.fontLoaded {
    visibility: visible;
}

.wallet_visible {
    display: inline-block;
}

html, body, input, textarea {
    font-family: "montserratregular";
    font-size: 1.0rem;
    letter-spacing: 0px;
    font-weight: 400;
    line-height: 2em;
    color: #202122;
    background: #f8f8f8;
    width: 100%;
    margin: 0;
    padding: 0;
    height: 100%;
}

.article_headerpadding {
    width: 60%;
    margin: 0;
    padding: 0 20%;
}

.article_padding {
    width: 60%;
    margin: 0%;
    padding: 0% 20%;
}

.article_contentyoffset {
    position: relative;
    top: 660px;
}

.wa_ethereumlogo {
    position: absolute;
    display: block;
    top: -30%;
    right: 20%;
    width: 40%;
    opacity: 0.15;
    overflow: hidden;
}

h1 {
    font-family: "montserratblack";
    font-size: 5.25rem;
    line-height: 5.25rem;
    padding-bottom: 4rem;
    background-color: #ffffff;
    color: transparent;

    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
}

h2 {
    font-family: "montserratregular";
    font-size: 2rem;
    line-height: 3rem;
    font-weight: 800;
    padding-top: 3em;
}

h3 {
    font-family: "montserratregular";
    font-size: 1.25rem;
    line-height: 1.25rem;
    font-weight: 800;
    padding-top: 4em;
}

h2::before {
    font-size: 4rem;
    position: relative;
    top: 0.5rem;
    left: -2.5rem;
    border-left: 5px solid #c02020;
    content: "";
}

h2 > a:hover {
    color: #606060;
}

.wa_h2color {
    color: #c02020;
}

.wa_notetext {
    font-style: italic;
    font-size: 0.75rem;
    font-weight: 800;
    color: #c02020;
}

.wa_breakword {
    word-wrap: break-word;
}

.wa_notice {
    width: 92%;
    margin-top: 4rem;
    padding: 4%;
    color: #fcfcfc;
    border-radius: 0.5rem;
    background: #c02020;
}

.wa_uniquedata {
    color: #c02020;
    font-weight: 800;
}

.wa_textunderline {
    border-bottom: 1px solid #000;
    display: inline-block;
}

input, textarea, button, select, a {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.wa_boxshadow {
    position: relative;
    width: 60%;
    border-radius: 1rem;
    color: rgba(0, 0, 0, .8);
    text-shadow: 0 1px 0 #fff;
    line-height: 1.5;
    -webkit-box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.2);
}

.wa_boxshadow::before,
.wa_boxshadow::after {
    z-index: -1;
    position: absolute;
    content: "";
    bottom: 15px;
    left: 10px;
    width: 50%;
    top: 80%;
    max-width: 300px;
    background: rgba(0, 0, 0, 0.7);
    box-shadow: 0 15px 10px rgba(0, 0, 0, 0.7);
    transform: rotate(-3deg);
}

.wa_boxshadow::after {
    transform: rotate(3deg);
    right: 10px;
    left: auto;
}

.wa_boxshadowactive {
    -webkit-box-shadow: 0px 0px 5px 0px rgba(32, 32, 240, 1);
    box-shadow: 0px 0px 5px 0px rgba(32, 32, 240, 1);
}

a:link, a:visited, a:active {
    color: #202020;
    text-decoration: none;
}

#LE_menu a:hover {
    color: var(--page-font-color-hover);
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
}

.wa_partnerimagescontainer {
    position: relative;
    display: inline-block;
    margin-right: 2rem;
}

.wa_sharesimagescontainer {
    position: relative;
    display: inline-block;
    margin-left: 0.5rem;
}

#wa_siteslist {
    padding-top: 2rem;
}

#wa_shareslist {
    padding-top: 0rem;
}

.wa_listsubtext {
    font-family: "montserratregular";
    padding-bottom: 2rem;
    display: inline-block;
}

#wa_siteslist img {
    font-size: 0;
}

.wa_stepbystepimagecontainer {
    margin: 0 auto;
    width: 100%;
    text-align: center;
    margin: 2rem 0 2rem 0;
}

.wa_imagestyle {
    width: 100%;
    vertical-align: bottom;
    border-radius: 1rem;
}

.wa_ens_art, .wa_ens_chrome, .wa_ens_ensdomains, .wa_ens_easydnsdns, .wa_ens_metamask, .wa_ens_porkbun, .wa_ens_facebook, .wa_ens_twitter, .wa_ens_linkedin, .wa_ens_share {
    background-image: url('../images/art_ens_sprites.png');
    background-repeat: no-repeat;
}

.wa_ens_dimensions {
    width: 64px;
    height: 64px;
}

.wa_ens_art {
    background-position: 0px 0px;
}

.wa_ens_chrome {
    background-position: -64px 0px;
}

.wa_ens_ensdomains {
    background-position: -128px 0px;
}

.wa_ens_easydnsdns {
    background-position: 0px -64px;
}

.wa_ens_metamask {
    background-position: -64px -64px;
}

.wa_ens_porkbun {
    background-position: -128px -64px;
}

.wa_ens_facebook {
    background-position: 0px -128px;
}

.wa_ens_twitter {
    background-position: -64px -128px;
}

.wa_ens_linkedin {
    background-position: -128px -128px;
}

.wa_ens_share {
    background-position: -128px -192px;
}

.wa_ens_art:hover {
    background-position: -192px 0px;
}

.wa_ens_chrome:hover {
    background-position: -256px 0px;
}

.wa_ens_ensdomains:hover {
    background-position: -320px 0px;
}

.wa_ens_easydnsdns:hover {
    background-position: -192px -64px;
}

.wa_ens_metamask:hover {
    background-position: -256px -64px;
}

.wa_ens_porkbun:hover {
    background-position: -320px -64px;
}

.wa_ens_facebook:hover {
    background-position: -192px -128px;
}

.wa_ens_twitter:hover {
    background-position: -256px -128px;
}

.wa_ens_linkedin:hover {
    background-position: -320px -128px;
}

.wallet_logo {
    display: block;
    width: 64px;
    height: 64px;
}

.artdotartlogo_height {
    height: 32px;
}

body {
    -webkit-animation: 1s ease 0s normal forwards 1 fadein; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: 1s ease 0s normal forwards 1 fadein; /* Firefox < 16 */
    -ms-animation: 1s ease 0s normal forwards 1 fadein; /* Internet Explorer */
    -o-animation: 1s ease 0s normal forwards 1 fadein; /* Opera < 12.1 */
    animation: 1s ease 0s normal forwards 1 fadein;
}

@keyframes fadein {
    0% {
        opacity: 0
    }
    20% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

@-moz-keyframes fadein {
    0% {
        opacity: 0
    }
    20% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

@-webkit-keyframes fadein {
    0% {
        opacity: 0
    }
    20% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

@-ms-keyframes fadein {
    0% {
        opacity: 0
    }
    20% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

ol {
    text-transform: uppercase;
    font-family: "montserratbold";
    font-size: 1.2rem;
    letter-spacing: 0px;
    font-weight: 400;
    line-height: 2em;

    counter-reset: li;
    margin-left: 0;
    padding-left: 0;
}

ol > li {
    position: relative;

    list-style: none;

    padding-bottom: 1rem;
}

ol > li:before {
    content: counter(li);
    counter-increment: li;

    position: absolute;
    top: 0px;
    left: -3em;
    width: 2em;

    margin-right: 8px;

    color: #c02020;

    font-weight: bold;
    text-align: center;


}


.wa_click ol > li:before {
    content: "\2022";
}

.wa_click {
    padding-left: 8em;
}

.wa_numberedlist {
    padding-left: 8em;
}

li ol, li ul {
    margin-top: 6px;
}

ol ol li:last-child {
    margin-bottom: 0;
}

li a {
    margin: 0px;
    display: inline-block;
    width: auto;
    height: 100%;
    color: #202020;
}

li a:hover {
    color: #606060;
}


a[target="_blank"]::after {
    content: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAQElEQVR42qXKwQkAIAxDUUdxtO6/RBQkQZvSi8I/pL4BoGw/XPkh4XigPmsUgh0626AjRsgxHTkUThsG2T/sIlzdTsp52kSS1wAAAABJRU5ErkJggg==);
    margin: 0 1rem 0 1rem;
    position: relative;
    bottom: 0.15rem;
}


.wallet_modaltitle1 {
    font-family: 'montserratthin';
    font-size: 3rem;
    line-height: 4rem;
}

.wallet_modaltitle2 {
    font-family: 'montserratblack';
    font-size: 3rem;
    line-height: 4rem;
}


.wa_helpfulcontainer {
    position: relative;
    display: inline-block;
    margin: 0;
    padding: 0.8rem 4rem 1rem 4rem;
    background: #404040;
    margin-right: 1rem;
}

.wa_helpfulcontainer_up {
    padding: 0.8rem 4rem 1rem 4rem;
}

.wa_helpfulcontainer_down {
    padding: 1rem 4rem 0.8rem 4rem;
}

.wa_thumbdimensions {
    width: 32px;
    height: 32px;
}

.wa_helpfulcontainer {
    position: relative;
    display: inline-block;
    margin: 0;
    padding: 0.8rem 4rem 1rem 4rem;
    background: #404040;
}

.wa_helpfulcontainer_up {
    padding: 0.8rem 4rem 1rem 4rem;
}

.wa_helpfulcontainer_down {
    padding: 1rem 4rem 0.8rem 4rem;
}

.wa_thumbdimensions {
    width: 32px;
    height: 32px;
}

#helpfulthumbsupcontainer:hover {
    background: #005080;
}

#helpfulthumbsdowncontainer:hover {
    background: #803030;
}

button {
    background-color: #282828;
    color: #f4f4f4;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
}

button:hover {
    opacity: 1;
}

.article_modalyesbtn, .article_modalnobtn {
    display: inline-block;
    text-align: center;
    width: 40%;
    color: #f4f4f4;
}

.article_modalyesbtn {
    margin-right: 1rem;
}

.article_modalnobtn {
    background-color: #282828;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, .7);
    padding-top: 50px;
}

.modal-content {
    border-radius: 1rem;

    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    text-align: center;

    background-color: #fefefe;
    padding: 5%;

    width: 50%;
}

hr {
    border: 1px solid #f1f1f1;
    margin-bottom: 25px;
}

.close {
    position: absolute;
    right: 2rem;
    top: 2rem;
    font-size: 2rem;
    line-height: 1.2rem;
    padding: 0.8rem;
    font-weight: bold;
    color: #f4f4f4;
}

.close:hover, .close:focus {
    color: #c00000;
    cursor: pointer;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

@media screen and (max-width: 400px) {
    .article_modalyesbtn, .article_modalnobtn {
        width: 100%;
    }
}

.article_tags {
    display: inline-block;
    padding: 0.5rem 2rem;
    border: 1px solid #c02020;
    background: #fff;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.article_tags:hover {
    background: #c02020;
    color: #f4f4f4;
}

.footer {
    line-height: 64px;
}

@media only screen and (orientation: portrait) {
    .wa_ethereumlogo {
        top: -30%;
        right: 0%;
        width: 70%;
    }
}

@media only screen and (max-width: 1400px) {
    .article_contentyoffset {
        position: relative;
        top: 620px;
    }

    h1 {
        font-size: 4rem;
        line-height: 4rem;
        padding-bottom: 4rem;
    }

    .article_headerpadding {
        width: 80%;
        margin: 0%;
        padding: 0% 10%;
    }

    .article_padding {
        width: 80%;
        margin: 0%;
        padding: 0% 10%;
    }
}


/* MOBILE */

@media only screen and (max-width: 980px) {
    .article_contentyoffset {
        position: relative;
        top: 280px;
    }

    .wallet_visible {
        display: none;
    }

    html, body, input, textarea {
        font-size: 0.75rem;
        line-height: 1.75em;
    }

    .article_headerpadding {
        width: 80%;
        margin: 0%;
        padding: 0% 10%;
    }

    .article_padding {
        width: 80%;
        margin: 0%;
        padding: 0% 10%;
    }


    h1 {
        font-size: 2.1rem;
        line-height: 2.1rem;
        padding-bottom: 2rem;
    }

    h2 {
        font-size: 1.0rem;
        line-height: 1.5rem;
        padding-top: 3em;
    }

    h3 {
        font-size: 1.0rem;
        line-height: 1.5rem;
        padding-top: 2em;
    }

    h2::before {
        font-size: 2rem;
        position: relative;
        top: 0.25rem;
        left: -1.15rem;
        border-left: 3px solid #c02020;
        content: "";
    }

    .wa_partnerimagescontainer {
        margin-right: 1rem;
    }

    .wa_sharesimagescontainer {
        margin-left: 0.25rem;
    }

    .wa_ens_art, .wa_ens_chrome, .wa_ens_ensdomains, .wa_ens_easydnsdns, .wa_ens_metamask, .wa_ens_porkbun, .wa_ens_facebook, .wa_ens_twitter, .wa_ens_linkedin, .wa_ens_share {
        background-image: url('../images/art_ens_sprites_mobile.png');
    }

    .wa_ens_dimensions {
        width: 32px;
        height: 32px;
    }

    .wa_ens_art {
        background-position: 0px 0px;
    }

    .wa_ens_chrome {
        background-position: -32px 0px;
    }

    .wa_ens_ensdomains {
        background-position: -64px 0px;
    }

    .wa_ens_easydnsdns {
        background-position: 0px -32px;
    }

    .wa_ens_metamask {
        background-position: -32px -32px;
    }

    .wa_ens_porkbun {
        background-position: -64px -32px;
    }

    .wa_ens_art:hover {
        background-position: -96px 0px;
    }

    .wa_ens_chrome:hover {
        background-position: -128px 0px;
    }

    .wa_ens_ensdomains:hover {
        background-position: -160px 0px;
    }

    .wa_ens_easydnsdns:hover {
        background-position: -96px -32px;
    }

    .wa_ens_metamask:hover {
        background-position: -128px -32px;
    }

    .wa_ens_porkbun:hover {
        background-position: -160px -32px;
    }

    .wa_ens_facebook {
        background-position: 0px -64px;
    }

    .wa_ens_twitter {
        background-position: -32px -64px;
    }

    .wa_ens_linkedin {
        background-position: -64px -64px;
    }

    .wa_ens_share {
        background-position: -160px -96px;
    }

    .wa_ens_facebook:hover {
        background-position: -96px -64px;
    }

    .wa_ens_twitter:hover {
        background-position: -128px -64px;
    }

    .wa_ens_linkedin:hover {
        background-position: -160px -64px;
    }

    ol {
        font-size: 0.8rem;
        letter-spacing: 0.0px;
        line-height: 1.4em;
    }

    ol > li:before {
        left: -2.25em;
    }

    .wa_click {
        padding-left: 5em;
    }

    .wa_numberedlist {
        padding-left: 5em;
    }

    .wallet_logo {
        display: block;
        width: 32px;
        height: 32px;
    }

    .wa_helpfulcontainer {
        padding: 0.4rem 2rem 0.5rem 2rem;
    }

    .wa_helpfulcontainer_up {
        padding: 0.4rem 2rem 0.5rem 2rem;
    }

    .wa_helpfulcontainer_down {
        padding: 0.5rem 2rem 0.4rem 2rem;
    }

    .wa_thumbdimensions {
        width: 16px;
        height: 16px;
    }

    a[target="_blank"]::after {
        bottom: -0.1rem;
    }

    .wallet_modaltitle1 {
        font-size: 1.5rem;
        line-height: 2rem;
    }

    .wallet_modaltitle2 {
        font-size: 1.5rem;
        line-height: 2rem;
    }

    /* Modal Content/Box */
    .modal-content {
        width: 80%;
    }


    .article_tags {
        padding: 0.25rem 1rem;
        margin-right: 0.5rem;
        margin-bottom: 0.5rem;
    }

    .footer {
        line-height: 32px;
    }

    .wa_notetext {
        font-size: 0.60rem;
    }

    .artdotartlogo_height {
        height: 16px;
    }

}

/* MEDIA */

.article_headerpadding {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    padding-top: 4rem;
    color: #c0c0c0;
    overflow: hidden;
    background: #202021;
    -webkit-box-shadow: 0 4px 4px -0px rgba(0, 0, 0, 0.4);
    -moz-box-shadow: 0 4px 4px -0px rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px -0px rgba(0, 0, 0, 0.4);
}

.article_headerbg {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: url('../images/cryptobg.jpeg') center center;
    background-size: cover;
    background-repeat: no-repeat;
    opacity: 0.03;
    border: 1px solid #f00;
}


.flex-container {
    display: flex;
    flex-flow: row wrap;
}

.flex-container > div {
    margin: 0px;
    text-align: left;
    box-sizing: border-box;
}

.flex-container > div:nth-child(1) {
    flex-grow: 1;
}

.flex-container > div:nth-child(2) {
    flex-grow: 1;
    text-align: right;
}


.section {
    clear: both;
    padding: 0px;
    margin: 0px;
}

.col {
    display: block;
    position: relative;
    float: left;
    margin: 1% 0 1% 2%;
    text-align: center;
    background: #fff;
    overflow: hidden;
}

.col:first-child {
    margin-left: 0;
}

/*  GROUPING  */
.group:before,
.group:after {
    content: "";
    display: table;
}

.group:after {
    clear: both;
}

.group {
    zoom: 1; /* For IE 6/7 */
}

/*  GRID OF THREE  */
.span_3_of_3 {
    width: 100%;
}

.span_2_of_3 {
    width: 66%;
}

.span_1_of_3 {
    width: 32%;
}

@media only screen and (max-width: 480px) {
    .col {
        margin: 1% 0 1% 0%;
    }

    .span_3_of_3, .span_2_of_3, .span_1_of_3 {
        width: 100%;
    }
}

#registrar_container > a {
    display: block;
    font-size: 0;
}

.wa_registrar {
    padding: 4rem 0;
}


.link-tag {
    display: block;
    height: 100%;
}

.overlay {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 2, 4, 0.1);
    opacity: 0;
    cursor: pointer;
    z-index: 10;
}

.overlay:hover {
    opacity: 1;
}


.wa_casestudy {
    position: relative;
    height: 98%;
}

.wa_casestudy::after {
    position: relative;
    color: rgba(32, 33, 34, 1);
    width: 100%;
    top: 1rem;
    font-family: "montserratbold";
    text-transform: uppercase;
    content: "Click for case study";
    font-size: 0.75rem;
}
